﻿<AML>
 <Item type="Report" id="E048122A9FFF4C05A3C7CC101897B820" action="add">
  <description>Print Voucher</description>
  <label xml:lang="en">Print Voucher</label>
  <location>client</location>
  <report_query><![CDATA[<Item type="acc_payment_voucher_header" id="{@id}" action="get" select="id,acc_voucher_no,acc_referenceno,acc_date,acc_cash_account,acc_cash_type,acc_total_payment_amount,erp_company,acc_vendor">
<acc_vendor>
      		<Item type="vendor" action="get" select="name,description,address,ship_to_address,city,address_state,zip_code,country,main_phone,main_fax,web_site,contact_name"></Item>
      </acc_vendor>

<acc_cash_account>
 <Item type="acc_AccountDetails" action="get"  select="acc_accountdetail_name,acc_accountdetail_code">
</Item>
</acc_cash_account>
 <erp_company>
              <Item type="erp_company_setup" action="get"  select="erp_com_name,erp_main_email,erp_ph,erp_street,erp_address,erp_fax,erp_registration_number">
               </Item>
     </erp_company>
 <Relationships>
 <Item type="acc_payment_voucher_detail" action="get" select="acc_purchaseid,acc_payment_description,acc_payment">
<acc_purchaseid>
   <Item type="pop_purchase_invoice" action="get"  select="pop_invoice_no">
               </Item>
</acc_purchaseid>
</Item>
</Relationships>
</Item>	]]></report_query>
  <target>one window</target>
  <type>item</type>
  <xsl_stylesheet><![CDATA[<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="urn:user-scripts" xmlns:aras="http://www.aras.com" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:dt="urn:schemas-microsoft-com:datatypes" xmlns:ns1="http://www.example.org" version="1.0">
	  <xsl:decimal-format name="euro" decimal-separator="." grouping-separator=","/>
	  <xsl:template match="/Result">
		    <html>
			      <head>      </head>
			      <style type="text/css" userData="Global">
				page[size="A4"]
				{
				position: relative;
				background: white;
				width: 18.5cm;
				display: block;
				margin: 0 auto;
				box-shadow: 0 0 0.3cm rgba(0,0,0,0.3);
				margin-bottom: 3em;
				margin-left:5px;
				}
				.report_titlestatement{
				font-family:Calibri;
				font-size: 14pt;
				font-weight: bold;
				}
				.bottom_div,bottom_div,up_div,middle_div{width:100%;border:1px solid;
				}
				  table.title{
				      border-collapse:collapse;
				      border-color: #000000;
				     border-style:solid;border-width:0px;
				margin-top: 50px;
				                                                }
				  table.sign{
				      border-collapse:collapse;
				      border-color: #000000;
				     border-style:solid;border-width:0px;
				 margin-top: 200px;                                                }
				  table.detaildata{
				      border-collapse:collapse;
				      border-color: #000000;
				     border-style:solid;border-width:1px;
				margin-top: 10px;
				                                              }
				td.detailtd
				{
				  border-style:solid;border-width:1px;
				margin-top: 10px;
				}.cellSolid {
				border-top:1px #000000 solid;
				border-right:1px #000000 solid;
				border-bottom:1px #000000 solid;
				border-left:1px #000000 solid;
				}
				.cellSolidTopRight {
				border-top:1px #000000 solid;
				border-right:1px #000000 solid;
				}
				.cellSolidTopLeft {
				border-top:1px #000000 solid;
				border-left:1px #000000 solid;
				}
				.cellSolidRightBottom {
				border-right:1px #000000 solid;
				border-bottom:1px #000000 solid;
				}
				.cellSolidBottomLeft {
				border-bottom:1px #000000 solid;
				border-left:1px #000000 solid;
				}
				.cellSolidTop {
				border-top:1px #000000 solid;
				}
				.cellSolidRight {
				border-right:1px #000000 solid;
				}
				.cellSolidBottom {
				border-bottom:1px #000000 solid;
				}
				.cellSolidLeft {
				border-left:1px #000000 solid;
				}
				.cellDashed {
				border-top:1px #666666 dashed;
				border-right:1px #666666 dashed;
				border-bottom:1px #666666 dashed;
				border-left:1px #666666 dashed;
				}
				.cellDashedTopRight {
				border-top:1px #666666 dashed;
				border-right:1px #666666 dashed;
				}
				.cellDashedTopLeft {
				border-top:1px #666666 dashed;
				border-left:1px #666666 dashed;
				}
				.cellDashedBottomRight {
				border-bottom:1px #666666 dashed;
				border-right:1px #666666 dashed;
				}
				.cellDashedBottomLeft {
				border-bottom:1px #666666 dashed;
				border-left:1px #666666 dashed;
				}
				.cellDashedTop {
				border-top:1px #666666 dashed;
				}
				.cellDashedRight {
				border-right:1px #666666 dashed;
				}
				.cellDashedBottom {
				border-bottom:1px #666666 dashed;
				}
				.cellDashedLeft {
				border-left:1px #666666 dashed;
				}
				.cellHeader {
				background-color:#CCCCCC;
				border-top:1px #000000 solid;
				border-right:1px #000000 solid;
				border-bottom:1px #000000 solid;
				padding:2px;
				text-align:center;
				text-transform:capitalize;
				text-align:center;
				font-family:Calibri;
				font-weight:bold;
				font-size:8pt;
				}
				.cellHeaderVertBT {
				background-color:#CCCCCC;
				border-top:1px #000000 solid;
				border-right:1px #000000 solid;
				border-bottom:1px #000000 solid;
				border-left:1px #000000 solid;
				padding:2px;
				writing-mode:tb-rl;filter: flipv fliph;
				text-align:center;
				text-transform:capitalize;
				text-align:center;
				font-family:Calibri;
				font-weight:bold;
				font-size:8pt;
				}
				.cellHeaderVertTB {
				background-color:#CCCCCC;
				border-top:1px #000000 solid;
				border-right:1px #000000 solid;
				border-bottom:1px #000000 solid;
				border-left:1px #000000 solid;
				padding:2px;
				writing-mode:tb-rl;filter: flipv flipv;
				text-align:center;
				text-transform:capitalize;
				text-align:center;
				font-family:Calibri;
				font-weight:bold;
				font-size:8pt;
				}
			</style>
			<body topmargin="50" leftmargin="50">
				<div align="center">
					<div>
						<span class="report_titlestatement">
							<xsl:value-of select="//Item/erp_company/Item/erp_com_name"/>
						</span>
					</div>
				</div>
				<table class="title" width="100%">
					<tr>
						<td width="70%" class="report_titlestatement">PAYMENT VOUCHER</td>
						 <td width="30%" align="left">
							 Voucher No: <xsl:value-of select="//Item/acc_voucher_no"/>
						 </td>
					 </tr>
					<tr>
						<td></td>
						<td colspan="2" align="left">
							 Date: <xsl:call-template name="format-date-expanded-header">
								<xsl:with-param name="datetime" select="//Item/acc_date"/>
							 </xsl:call-template>
						</td>
					 </tr>
				</table>
				<div align="center">
					PAY To: <xsl:value-of select="//Item/acc_vendor/Item/name"/>
				 </div>
				<table class="detaildata" width="100%">
					<tr>
						<td class="detailtd" width="40%" align="center">Invoice No</td>
						<td class="detailtd" width="45%" align="center">Description</td>
						<td class="detailtd" width="15%" align="center">Amount</td>
					</tr>
					  <xsl:for-each select="//Item/Relationships/Item">
						<tr>
							<td class="detailtd" width="40%" align="left">
								<xsl:value-of select="acc_purchaseid/Item/pop_invoice_no"/>
							 </td>
							<td class="detailtd" width="45%" align="left">
								<xsl:value-of select="acc_payment_description"/>
							 </td>
							 <td class="detailtd" width="15%" align="right">
								<xsl:value-of select="format-number(acc_payment,'#,##0.00','euro')"/>
							 </td>
						</tr>
					 </xsl:for-each>
					<tr>
						<td class="detailtd" width="40%" align="left">
							A/C: <xsl:value-of select="//Item/acc_cash_account/Item/acc_accountdetail_name"/>
						 </td>
						 <td class="detailtd" width="45%" align="left">
							 <xsl:value-of select="//Item/acc_cash_type"/>
						</td>
						 <td class="detailtd" width="15%" align="right">
							<xsl:value-of select="format-number(//Item/acc_total_payment_amount,'#,##0.00','euro')"/>
						</td>
					</tr>
				</table>
				<table class="sign" width="100%">
					<tr>
						<td width="50%" align="left">Payment Approved by: .....................................</td>
						 <td width="50%" align="left">
							Received by: .....................................
						 </td>
					 </tr>
				</table>
			      </body>
		    </html>
	</xsl:template>
	<xsl:template name="format-date-expanded-header">
		<xsl:param name="datetime"/>
		<xsl:variable name="date" select="substring-before($datetime, 'T')"/>
		<xsl:variable name="year" select="substring-before($date, '-')"/>
		       <xsl:variable name="month" select="substring-before(substring-after($date, '-'), '-')"/>
		<xsl:variable name="day" select="substring-after(substring-after($date, '-'), '-')"/>
		<xsl:variable name="time" select="substring-before(substring-after($datetime, 'T'), '.')"/>
		                <xsl:choose>
			           <xsl:when test="$month = 01">
				<xsl:value-of select="concat($day, '-' ,'JAN', '-', $year, ' ', $time)"/>
			</xsl:when>
			           <xsl:when test="$month = 02">
				<xsl:value-of select="concat($day, '-' ,'FEB', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 03">
				<xsl:value-of select="concat($day, '-' ,'MAR', ',-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 04">
				<xsl:value-of select="concat($day, '-' ,'APR', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 05">
				<xsl:value-of select="concat($day, '-' ,'MAY', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 06">
				<xsl:value-of select="concat($day, '-' ,'JUN', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 07">
				<xsl:value-of select="concat($day, '-' ,'JULY', '-' , $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 08">
				<xsl:value-of select="concat($day, '-' ,'AUG', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 09">
				<xsl:value-of select="concat($day, '-' ,'SEP', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 10">
				<xsl:value-of select="concat($day, '-' ,'OCT', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 11">
				<xsl:value-of select="concat($day, '-' ,'NOV', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 12">
				<xsl:value-of select="concat($day, '-' ,'DEC', '-', $year, ' ', $time)"/>
			</xsl:when>
		  </xsl:choose>
	</xsl:template>
</xsl:stylesheet>]]></xsl_stylesheet>
  <name>acc_payment_voucher</name>
 </Item>
</AML>